org.eclipse.jetty.webapp

## Class TagLibConfiguration.TldDescriptor

- java.lang.Object
- - org.eclipse.jetty.webapp.Descriptor
  - - org.eclipse.jetty.webapp.TagLibConfiguration.TldDescriptor

Enclosing class:
  TagLibConfiguration

    public static class TagLibConfiguration.TldDescriptor
    extends Descriptor

TldDescriptor

### Field Summary

Fields
`protected static XmlParser` `__parserSingleton`

### Fields inherited from class org.eclipse.jetty.webapp.Descriptor

`_parser, _root, _validating, _xml`

### Constructor Summary

Constructors
Constructor and Description
`TagLibConfiguration.TldDescriptor(Resource xml)`

### Method Summary

Methods
`void` `ensureParser()`
`XmlParser` `newParser()`
`void` `parse()`

### Methods inherited from class org.eclipse.jetty.webapp.Descriptor

`getResource, getRoot, redirect, setValidating, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### __parserSingleton

    protected static XmlParser __parserSingleton

### Constructor Detail

#### TagLibConfiguration.TldDescriptor

    public TagLibConfiguration.TldDescriptor(Resource xml)

### Method Detail

#### ensureParser

    public void ensureParser()
                      throws ClassNotFoundException

Specified by:
  `ensureParser` in class `Descriptor`
Throws:
  `ClassNotFoundException`

#### newParser

    public XmlParser newParser()
                        throws ClassNotFoundException

Specified by:
  `newParser` in class `Descriptor`
Throws:
  `ClassNotFoundException`

#### parse

    public void parse()
               throws Exception

Overrides:
  `parse` in class `Descriptor`
Throws:
  `Exception`